Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Default_ORT::ObjectReferenceTemplate Interface Reference

`#include <Default_ORTC.h>`

Inheritance diagram for TAO_Default_ORT::ObjectReferenceTemplate:

[legend]
Collaboration diagram for TAO_Default_ORT::ObjectReferenceTemplate:

[legend]
List of all members.

## Public Types
typedef ObjectReferenceTemplate_var | _var_type
## Public Methods
virtual const char * | _tao_obv_repository_id (void) const
## Static Public Methods
ObjectReferenceTemplate * | _downcast (CORBA::ValueBase *)
CORBA::Boolean | _tao_unmarshal (TAO_InputCDR &, ObjectReferenceTemplate *&)
const char * | _tao_obv_static_repository_id (void)
void | _tao_any_destructor (void *)
## Protected Methods
| ObjectReferenceTemplate (void)
virtual | ~ObjectReferenceTemplate (void)
virtual void * | _tao_obv_narrow (ptr_arith_t)
virtual CORBA::Boolean | _tao_marshal_v (TAO_OutputCDR &)
virtual CORBA::Boolean | _tao_unmarshal_v (TAO_InputCDR &)
virtual CORBA::Boolean | _tao_marshal__TAO_Default_ORT_ObjectReferenceTemplate (TAO_OutputCDR &)=0
virtual CORBA::Boolean | _tao_unmarshal__TAO_Default_ORT_ObjectReferenceTemplate (TAO_InputCDR &)=0
## Private Methods
| ObjectReferenceTemplate (const ObjectReferenceTemplate &)
void | operator= (const ObjectReferenceTemplate &)

## Member Typedef Documentation

typedef ObjectReferenceTemplate_var TAO_Default_ORT::ObjectReferenceTemplate::_var_type

| Reimplemented from PortableInterceptor::ObjectReferenceTemplate.

## Constructor & Destructor Documentation

ACE_INLINE TAO_Default_ORT::ObjectReferenceTemplate::ObjectReferenceTemplate | ( | void |  | ) | `[protected]`

| Reimplemented from PortableInterceptor::ObjectReferenceTemplate.

ACE_INLINE TAO_Default_ORT::ObjectReferenceTemplate::~ObjectReferenceTemplate | ( | void |  | ) | `[protected, virtual]`

| Reimplemented from PortableInterceptor::ObjectReferenceTemplate.

TAO_Default_ORT::ObjectReferenceTemplate::ObjectReferenceTemplate | ( | const ObjectReferenceTemplate & |  | ) | `[private]`

| Reimplemented from PortableInterceptor::ObjectReferenceTemplate.

## Member Function Documentation

TAO_Default_ORT::ObjectReferenceTemplate * TAO_Default_ORT::ObjectReferenceTemplate::_downcast | ( | CORBA::ValueBase * | v | ) | `[static]`

| Reimplemented from CORBA_ValueBase.

void TAO_Default_ORT::ObjectReferenceTemplate::_tao_any_destructor | ( | void * | _tao_void_pointer | ) | `[static]`

| Reimplemented from PortableInterceptor::ObjectReferenceTemplate.

virtual CORBA::Boolean TAO_Default_ORT::ObjectReferenceTemplate::_tao_marshal__TAO_Default_ORT_ObjectReferenceTemplate | ( | TAO_OutputCDR & | strm | ) | `[protected, pure virtual]`

| Reimplemented in OBV_TAO_Default_ORT::ObjectReferenceTemplate.

CORBA::Boolean TAO_Default_ORT::ObjectReferenceTemplate::_tao_marshal_v | ( | TAO_OutputCDR & | strm | ) | `[protected, virtual]`

| Reimplemented from CORBA_ValueBase.

void * TAO_Default_ORT::ObjectReferenceTemplate::_tao_obv_narrow | ( | ptr_arith_t | type_id | ) | `[protected, virtual]`

| Reimplemented from CORBA_ValueBase.

const char * TAO_Default_ORT::ObjectReferenceTemplate::_tao_obv_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA_ValueBase.

ACE_INLINE const char * TAO_Default_ORT::ObjectReferenceTemplate::_tao_obv_static_repository_id | ( | void |  | ) | `[static]`

| Reimplemented from PortableInterceptor::ObjectReferenceTemplate.

CORBA::Boolean TAO_Default_ORT::ObjectReferenceTemplate::_tao_unmarshal | ( | TAO_InputCDR & | strm,
|  | ObjectReferenceTemplate *& | new_object
| ) | `[static]`

| Reimplemented from PortableInterceptor::ObjectReferenceTemplate.

virtual CORBA::Boolean TAO_Default_ORT::ObjectReferenceTemplate::_tao_unmarshal__TAO_Default_ORT_ObjectReferenceTemplate | ( | TAO_InputCDR & | strm | ) | `[protected, pure virtual]`

| Reimplemented in OBV_TAO_Default_ORT::ObjectReferenceTemplate.

CORBA::Boolean TAO_Default_ORT::ObjectReferenceTemplate::_tao_unmarshal_v | ( | TAO_InputCDR & | strm | ) | `[protected, virtual]`

| Reimplemented from CORBA_ValueBase.

void TAO_Default_ORT::ObjectReferenceTemplate::operator= | ( | const ObjectReferenceTemplate & |  | ) | `[private]`

| Reimplemented from PortableInterceptor::ObjectReferenceTemplate.

The documentation for this interface was generated from the following files:

- Default_ORT.pidl
- Default_ORTC.h
- Default_ORTC.cpp
- Default_ORTC.i